I'm getting prompted to install Flash before I can run Picaboo. How do I do that?

Follow

You can download and install the latest version of Flash on Adobe's website (http://get.adobe.com/flashplayer/). Once you've installed Flash, you should be able to run Picaboo successfully.

The minimum system requirements for Flash can be found here: http://www.adobe.com/products/flashplayer/tech-specs.html.

The minimum system requirements for running Picaboo can be found here: https://customercare.picaboo.com/hc/en-us/articles/200345144-What-are-Picaboo-s-minimum-system-requirements-.

Need to contact Picaboo customer care?
For faster service use Chat:

Live Chat
9 am - 7 pm PST
5 days/week

Phone
888 374 7771
Monday - Friday
9 am - 5 pm PST

Email - for non-urgent questions
Send us an email
We will answer within 72 business hours

Comments

Powered by Zendesk